- A Concurrent Affair - http://www.concurrentaffair.org -

Downgrade

Ok, I was fed up with the disgusting “rich” editor in WordPress 2.0 and spent the last 90 minutes downgrading to my trusted WordPress 1.5.2.

It was nearly impossible to paste code or any other preformatted text with the rich editor: It kept swallowing end-of-lines, and quite often the cursor would just get stuck somewhere and could only be moved with the mouse. HTML tags could only be inserted in the special “HTML” view. Sure, there were nice things in WordPress 2.0, like the fancy color fades, but what am I using the most? The editor. I need a good editor.

The process of downgrading was quite painful. At first I just reinstalled the 1.5.2 software, but it wouldn’t accept the 2.0 database. Apparently, the format has changed. I had made a backup before the upgrade, of course, and could restore it without a hitch.

The last thing to do was somehow transfer the posts I have made since the upgrade. To do that, I let both software versions run concurrently, in two separate MySQL databases. I then created new postings in the 1.5.2 version, copy & pasted and hand-formatted the postings, and fixed the time stamps.

WordPress 2.0 was a very, very bad experience. It may be shiny and nice for people who just write English. But for me, the editor was just horrible. I feel like the WordPress developers deserve an angry email, but they have already wasted enough of my time.

[1] [2]Share [3]